about summary refs log tree commit diff stats
path: root/scripts/install-lss.sh
diff options
context:
space:
mode:
authorThomas E. Dickey <dickey@invisible-island.net>2021-01-07 00:38:05 +0000
committerThomas E. Dickey <dickey@invisible-island.net>2021-01-07 00:38:05 +0000
commit7a1331d963675f18ad2a5c47944bfe5a67d6972a (patch)
treeeed0bcbede6d8f7eb8fed33be4d94e518dc05270 /scripts/install-lss.sh
parent2c843378873a03766818248afaae01de1f4745c1 (diff)
downloadlynx-snapshots-7a1331d963675f18ad2a5c47944bfe5a67d6972a.tar.gz
snapshot of project "lynx", label v2-9-0dev_6d
Diffstat (limited to 'scripts/install-lss.sh')
-rwxr-xr-xscripts/install-lss.sh18
1 files changed, 9 insertions, 9 deletions
diff --git a/scripts/install-lss.sh b/scripts/install-lss.sh
index 6573a35e..eb9694af 100755
--- a/scripts/install-lss.sh
+++ b/scripts/install-lss.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $LynxId: install-lss.sh,v 1.1 2007/05/13 22:15:29 tom Exp $
+# $LynxId: install-lss.sh,v 1.2 2021/01/07 00:32:39 tom Exp $
 # install lynx.lss, ensuring the old config-file is saved to a backup file.
 #
 # $1 = install program
@@ -11,28 +11,28 @@ DST=$3
 
 if test -f "$DST" ; then
 	# See if we have saved this information before
-	if cmp -s $SRC $DST
+	if cmp -s "$SRC" "$DST"
 	then
 		echo "... installed $DST would not be changed"
 	else
 		NUM=1
-		while test -f ${DST}-${NUM}
+		while test -f "${DST}-${NUM}"
 		do
-			if cmp -s $SRC ${DST}-${NUM}
+			if cmp -s "$SRC" "${DST}-${NUM}"
 			then
 				break
 			fi
-			NUM=`expr $NUM + 1`
+			NUM=`expr "$NUM" + 1`
 		done
-		if test ! -f ${DST}-${NUM}
+		if test ! -f "${DST}-${NUM}"
 		then
 			echo "... saving old config as ${DST}-${NUM}"
-			mv $DST ${DST}-${NUM} || exit 1
+			mv "$DST" "${DST}-${NUM}" || exit 1
 		fi
 		echo "** installing $SRC as $DST"
-		eval $PRG $SRC $DST || exit 1
+		eval "$PRG" "$SRC" "$DST" || exit 1
 	fi
 else
 	echo "** installing $SRC as $DST"
-	eval $PRG $SRC $DST || exit 1
+	eval "$PRG" "$SRC" "$DST" || exit 1
 fi